Package weka.core.pmml.jaxbbindings

# Class ModelExplanation

java.lang.Object
weka.core.pmml.jaxbbindings.ModelExplanation

public class ModelExplanation extends Object

Java class for ModelExplanation element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="ModelExplanation">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <choice>
                 <element ref="{http://www.dmg.org/PMML-4_1}PredictiveModelQuality" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ClusteringModelQuality" maxOccurs="unbounded" minOccurs="0"/>
               </choice>
               <element ref="{http://www.dmg.org/PMML-4_1}Correlations" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModelExplanation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ClusteringModelQuality>`
  `getClusteringModelQuality()`
  Gets the value of the clusteringModelQuality property.
  `Correlations`
  `getCorrelations()`
  Gets the value of the correlations property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `List<PredictiveModelQuality>`
  `getPredictiveModelQuality()`
  Gets the value of the predictiveModelQuality property.
  `void`
  `setCorrelations(Correlations value)`
  Sets the value of the correlations property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModelExplanation

    public ModelExplanation()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getPredictiveModelQuality

    public List<PredictiveModelQuality> getPredictiveModelQuality()
    Gets the value of the predictiveModelQuality property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the predictiveModelQuality property.

    For example, to add a new item, do as follows:

            getPredictiveModelQuality().add(newItem);

    Objects of the following type(s) are allowed in the list `PredictiveModelQuality`

  - ### getClusteringModelQuality

    public List<ClusteringModelQuality> getClusteringModelQuality()
    Gets the value of the clusteringModelQuality property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the clusteringModelQuality property.

    For example, to add a new item, do as follows:

            getClusteringModelQuality().add(newItem);

    Objects of the following type(s) are allowed in the list `ClusteringModelQuality`

  - ### getCorrelations

    public Correlations getCorrelations()
    Gets the value of the correlations property.
    Returns:
      possible object is `Correlations`

  - ### setCorrelations

    public void setCorrelations(Correlations value)
    Sets the value of the correlations property.
    Parameters:
      `value` - allowed object is `Correlations`